git-buildpackage (0.9.19) unstable; urgency=medium

  * [30cfa76] d/tests/control: Drop python-rpm. We'd need
    python3-rpm for the build test but that is not run atm.
  * [2159ac3] Build-Depend on pydoctor since this uses python3
    Thanks to Boyuan Yang for the hints (Closes: #943107)
  * [96526f2] Add salsa-ci

 -- Guido Günther <agx@sigxcpu.org>  Fri, 28 Feb 2020 09:48:05 +0100

git-buildpackage (0.9.18) unstable; urgency=medium

  [ Guido Günther ]
  * [abe1ec7] import-orig: Recommend python3-requests.  The python2 version
    won't do
  * [bddd221] dch: Always print where we pick up
  * [f8883eb] config: Be less picky about comments after boolean values.
    This makes 'patch-numbers = False # comment' work.
    Thanks to Mechtilde Stehmann for the report

  [ Christian Göttsche ]
  * [2f1c157] add option to export tarballs with upstream signature.
    Add option `--upstream-signatures=[on|auto|off]` to export-orig.
    Add option `--git-upstream-signatures=[on|auto|off]` to buildpackage.
    (Closes: 872864)

  [ Matthias Klose ]
  * [b80027c] d/tests/control: Add xsltproc to the autopkg test dependencies
    (Closes: #950216)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Feb 2020 15:12:12 +0100

git-buildpackage (0.9.17) unstable; urgency=medium

  * [6248524] export_orig: Don't fail without a repository.
    This is a valid use case in overlay mode
    Thanks to Thomas Koch for the report
  * [ff9ff7e] Use UpstreamSource for additional tarballs as well.
    This will help on upstream tarball signatures as well as
    improving additional tarball handling.
  * [16781c8] import-orig: Handle tarball signature when using pristine-tar
  * [4a97a1c] import-dsc: Import signature if present in dsc
  * [e541f35] Recommend and build depend on pristine-tar 1.41
    since only this version has signature support.
  * [12ed9fb] travis-ci: Switch to bionic.
    Need to drop python 3.4 for that since it's not available on bionic.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 31 Oct 2019 19:15:14 +0100

git-buildpackage (0.9.16) unstable; urgency=medium

  * [fef81e2] pq: Don't bubble up FileNotFoundException (Closes: #940043)
  * [fb26fd9] docs: Fix wrong argument order of branch rename.
    Thanks to Jens Reyer (Closes: #941110)
  * [11f9f31] export-orig: Check 'origin/pristine-tar' as well for compression
    type (Closes: #941894)
  * [916f538] docs: Fix typos.
    Thanks to lintian
  * [6cf1f7e] d/control: Bump standards version
    no changes needed

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Oct 2019 17:36:46 +0200

git-buildpackage (0.9.15) unstable; urgency=medium

  [ Guido Günther ]
  * [b12b85a] import-orig: Allow to run a post unpack hook.
    The working directory of the hook is the top temporary directory the
    tarballs are being unpacked into.
  * [6696656] docs: Document gbp import-orig --postunpack
  * [292edcf] import_orig: Move upstream-vcs-tag's help to config.
    This way it can be shared.
  * [61757c0] import_dsc: Support upstream-vcs-tag (Closes: #782886)
  * [1acd0bb] docs: import-dsc: Document --upstream-vcs-tag
  * [b888349] gbp-clone: Support salsa: pseudo urls
  * Fix flake8 errors (Closes: #939648)

  [ Hideki Yamane ]
  * [d1960b3] gbp.conf: Set default compresson to xz.
    The value is commented out so does not have any effect but it's
    better to recommend the right value.

  [ Maximiliano Curia ]
  * [8afb7ee] import-orig/merge_replace Avoid calling force_head.
    The debian_merge_by_replace function ends up calling force_head, but up to
    this point the current branch could be anything, and thus when called from
    a feature branch the latest commits get lost.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Sep 2019 10:58:51 -0700

git-buildpackage (0.9.14) unstable; urgency=medium

  [ Michael Prokop ]
  * [4142928] docs: update examples for pristine-tar usage, requiring commit
    action
    (Closes: #919677)

  [ Roberto C. Sánchez ]
  * [d3f67c8] docs: Fix typo

  [ Gabriel Filion ]
  * [34b9da1] Disable PGP signatures when retrieving list of commits
    (Closes: #923087)

  [ Guido Günther ]
  * [3e3458f] setup.py: Move version parser into setup.py.
    This makes sure it ends up in the sdist tarball.

  [ Simon McVittie ]
  * [74669f0] Dep3Patch: Ignore MIME headers.
    Otherwise, if we import a patch containing non-ASCII characters exported
    by `gbp pq export` or `git format-patch` using DEP-3 syntax, we'd
    misinterpret these fields as semantically significant and copy them into
    pseudo-headers, causing them to be duplicated in the commit's long
    description. (Closes: #924478)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 21 Mar 2019 10:33:34 +0100

git-buildpackage (0.9.13) unstable; urgency=medium

  [ Guido Günther ]
  * [55edef2] PatchSeries: Don't fail if there's only a patch end marker.
    If the patch only has '---' we pass empty data to git-mail-info
    otherwise.
    Thanks to James Cowgill for the detailed report (Closes: #916545)
  * [861121e] push: Push Debian branch first.
    This makes sure in new repos this is the correct default branch.
    (Closes: #916651)
  * [81bfe17] rpm_ch: Escape S in regex replacement.

  [ Chris Lamb ]
  * [b58311f] Fix typo (Closes: #914280)

  [ Simon McVittie ]
  * [cb4c916] zsh completion: Fix typo in redirection to _gbp-import-dsc
    (Closes: #917636)
  * [cd4c4d2] gbp-pull: Invoke gbp pq correctly for --redo-pq option
    `gbp pull --redo-pq` assumed that `gbp-pq` exists in PATH, which isn't
    normally true since 0.6.24 (2015). (Closes: #917637)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Dec 2018 18:49:21 +0100

git-buildpackage (0.9.12) unstable; urgency=medium

  * [aa7ca25] import_ref: Fix warning output. Otherwise import-ref
    won't load correctly.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Dec 2018 18:23:09 +0100

git-buildpackage (0.9.11) unstable; urgency=medium

  [ Guido Günther ]
  * [7ce98d6] import-ref: New experimental command to merge in changes from a
    upstream using git.
  * [2320ac3] Add test case for conversion of extra DEP-3 headers to
    pseudo-headers.  Currently the extra DEP-3 headers may end up as trailers
    instead of should be pseudo-headers.
  * [1e31e67] pq: Fix testcase.  Pseudo headers are now moved to the top of
    the patch.
  * [2f6a432] travisci: Test Python 3.7 as well.
    Use the workaround from
        https://github.com/travis-ci/travis-ci/issues/9815
    since Python 3.7 is not yet supported by the default image.
  * [497addc] Ignore flake8's 'W504 line break after binary operator'
    With flake8's other warnings this doesn't make much sense since
    indentation according to https://hg.python.org/peps/rev/3857909d7956
    does not work. It triggers
    - 'W503 line break before binary operator'
    - 'E129 visually indented line with same indent as next logical line'
    If one want to align the operators one hits
    - 'E127 continuation line over-indented for visual indent'
    So let's leave things as is for the moment.
  * [6b13422] Fix flake8's W605 (invalid escape sequence)
    See also
        https://docs.python.org/3/whatsnew/3.6.html#deprecated-python-behavior
  * [caa586a] builpackage-rpm: Use GBP_TMP_DIR instead of GBP_BUILD_DIR.
    This is consistent with --git-post-export and unbreaks
        tests/component/rpm/test_buildpackage_rpm.py:TestGbpRpm.test_hook_options
  * [1994bb2] PatchSeries: Only pass patch description and header to
    git-mailinfo. There are patches around that use
      Content-Transfer-Encoding: base64
    but the actual patch after '---' is unencoded ascii resulting in garbage
    after the patch description when imported into a patch queue.
    Since we're discarding the patch part of git-mailinfo anyway don't pass
    this on in the first place. (Closes: #912426)
  * [a55d19f] PristineTar: detect signature verification support
  * [dacca59] PristineTar: support checking in/out upstream signatures
  * [ad904b8] PristienTar: Properly detect signature feature
  * [0277c54] PristineTar: Don't fail if pristine-tar doesn't support
    signatures
  * [4a8908c] Make it simple to print exception details
  * [f932338] import-orig: rename sourcepackage to name
    since it's the source package's name

  [ Mathieu Parent ]
  * [03accd2] import-orig: Allow one to import the requested version with
    --uscan (Closes: #741148)

  [ Ben Hutchings ]
  * [771114b] Add test case for bug #905934
  * [0304fd3] pq import: Look for DEP-3 header fields even if git mailimport
    succeeds (Closes: #905934)
  * [47cf4c6] pq import: Always put DEP-3 headers as pseudo-headers.  If there
    are any non-git DEP-3 header fields, put them at the top of the body text,
    regardless of whether Description or Subject is used.  Also put a blank
    line between them and the rest of the message body.
  
  [ Markus Lehtonen ]
  * [8428343] gbp.git: fix doctest with recent python-dateutil.
    Traceback format has changed in recent python-dateutil.
  * [a656995] tests: small fix for import-orig-rpm component test.
    Merge behaviour in newer git versions (> v2.16) is slightly different.

  [ Andreas Beckmann ]
  * [12574cc] debian.source: Enumerate components only once
  * [a596206] PkgPolicy.symlink_orig: also remove dangling symlinks

  [ Luca Boccassi ]
  * [ce6b1e7] buildpackage{,-rpm}: add preexport hook.
    Sometimes it is necessary to perform operations before preparing the
    tarballs and exporting to the build directory.
    One such case is when having to handle extremely large binary assets in
    the orig tarball and at the same time complex packaging code, which makes
    it desirable to separate the two into different repositories for easier
    handling.
    A pre-export hook allows one to ensure that the tarball repository is
    present and checked out at the correct branch. (Closes: #909266)
  * [44acc6d] Refresh tests data submodule
  * [e5aedb1] buildpackage, export-orig: support version substitution for
    --git-tarball-dir.
    Add support for passing %(version), %(hversion) and %(version%A%B) in
    buildpackage --git-tarball-dir and export-orig --tarball-dir.
    (Closes: #909266)

  [ Kiss György ]
  * [7bba657] setup.py: Fix version parsing when installing from pip.

  [ Arnaud Rebillout ]
  * [f0cb11d] docs: update references from <http://dep.debian.net> to
    <https://dep-team.pages.debian.net>.

  [ Chris Lamb ]
  * [9dc9f5e] Fix "was build" typos (Closes: #916044)

  [ Ken Dreyer ]
  * [f6096ed] gbp.deb: Correct "otherwise" spelling in comment

 -- Guido Günther <agx@sigxcpu.org>  Tue, 11 Dec 2018 10:39:43 +0100

git-buildpackage (0.9.10) unstable; urgency=medium

  [ Ken Dreyer ]
  * [f0b1bbe] deb.git: fix duplicate "tarball" in docstring.
    Fix the docstring for create_pristine_tar_commits()
  * [29b9f2c] deb.git: fix spelling of "described" in docstring.
    Fix the docstring for _sanitize_version() and _unsanitize_version()

  [ Guido Günther ]
  * [62e0102] push: Allow to skip upstream and debian branch and tag push.
    Push of tag and or branch can be skipped by setting
    --{upstream,debian}-{branch,tag}='' . (Closes: #899234)
  * [28a950a] tests: Check help output of tag and push too
  * [a287bf6] config: allow to override default values via
    add_config_file_option
  * [b8221b8] pull: Check that repo is clean before fetching anything
  * [6dda2da] pull: allow to set up branch tracking for missing branches.
    If the remote branch does not exist at all that's currently not fatal.
    (Closes: #882187)
  * [d69006d] Depend on sensible-utils. gbp-dch uses sensible-editor.

  [ Chris Lamb ]
  * [6c30ac9] import-{dsc,orig}: Make --download deprecation text more useful.
    Point to the manpages for usage examples. (Closes: #900606)

  [ Guus Sliepen ]
  * [48ef0ec] changelog: try iso8859-1 when utf-8 fails.
    Fall back to iso8859-1 when opening the changelog. Helps when importing
    old versions. (Closes: #900841)

  [ Carsten Schoenert ]
  * [50b9223] create_remote_repo: import urllib.parse
    urllib.parse did not get imported in packaegs without changelog.

  [ Iain Lane ]
  * [5fedb2b] Ignore merge commits when looking at the pristine-tar branch.
    (Closes: #906331)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Aug 2018 08:29:47 +0200

# For older changelog entries, run 'apt-get changelog git-buildpackage'
